.main-section {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 9999;
  padding: 14px 0;
  backdrop-filter: blur(11.399999618530273px);
  background: rgba(0, 0, 0, 0.5);
}

.header-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.header-logo {
  display: block;
  width: 42px;
  transition: transform 0.3s ease;
}

.header-logo:hover {
  transform: scale(1.1);
}

.page-nav {
  display: none;
}

.menu-btn {
  display: block;

  svg {
    stroke: #fff;
    transition: stroke 0.3s ease;
  }
}

.menu-btn:hover,
.menu-btn:focus {
  svg {
    stroke: #fac870;
  }
}

.page-nav-list {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 53px;
}

.page-nav-link {
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 20px;
  line-height: 100%;
  text-align: center;
  color: #fff;
  transition:
    color 0.3s ease,
    text-shadow 0.3s ease;
}

.active {
  color: #fac870;
  text-shadow: 5px 5px 10px #fff;
}

.page-nav-link:hover {
  color: #fac870;
  text-shadow: 5px 5px 10px #fff;
}

@media screen and (min-width: 1440px) {
  .main-section {
    padding: 20px 0;
  }

  .header-logo {
    width: 50px;
  }

  .menu-btn {
    display: none;
  }

  .page-nav {
    display: block;
  }
}

/* modal  */

.menu {
  position: fixed;
  top: 80px;
  left: 0;
  width: 100%;
  padding: 108px 50px;
  z-index: 8;
  transform: translateY(-140%);
  transition: transform 1s ease;
  background: linear-gradient(180deg, #1e0640 0%, #000 100%);
}

.menu-nav-list {
  flex-direction: column;
  align-items: flex-start;
  gap: 34px;

  .nav-item {
    font-size: 28px;
  }
}

/* popup */

.page-popup {
  position: fixed;
  z-index: 10;
  bottom: 20px;
  left: 50%;
  padding: 21px;
  border: 1px solid #fff;
  backdrop-filter: blur(11.399999618530273px);
  background: rgba(0, 0, 0, 0.5);
  transform: translateX(-50%);

  transition: transform 0.4s ease;
}

.popup-text {
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 23px;
  line-height: 100%;
  text-align: center;
  color: #fff;
  margin-bottom: 22px;
}

.popup-btn {
  font-family: var(--font-family);
  font-weight: 700;
  font-size: 16px;
  line-height: 150%;
  text-align: center;
  color: #fff;
  display: block;
  width: fit-content;
  border-radius: 6px;
  padding: 10px 16px;
  margin: 0 auto;
  border: 1px solid #fac870;
  text-align: center;
  transition:
    color 0.2s ease,
    background-color 0.2s ease;
}

.popup-btn:hover {
  background-color: #fac870;
  color: #000;
}

.popup-wrap {
  display: flex;
  justify-content: center;
  gap: 17px;
}

@media screen and (min-width: 1440px) {
  .page-popup {
    padding: 28px;
  }

  .popup-container {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 140px;
  }

  .popup-text {
    font-size: 20px;
    margin: 0;
  }

  .popup-btn {
    font-size: 20px;
    margin: 0;
    flex-shrink: 0;
  }
}

/* hero  */

.dashboard {
  padding-top: 90px;
}

.logo {
  width: 68px;
  margin: 0 auto;
  margin-bottom: 15px;
}

.title {
  font-family: var(--third-family);
  font-weight: 700;
  font-size: 23px;
  line-height: 100%;
  text-transform: uppercase;
  text-align: center;
  color: #fac870;
  margin-bottom: 16px;
}

.text {
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 23px;
  line-height: 100%;
  text-align: center;
  color: #fff;
  margin-bottom: 24px;
}

.desc {
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 11px;
  line-height: 100%;
  text-align: center;
  color: #fff;
}

.scissors {
  width: 80px;
  margin: 0 auto;
}

@media screen and (min-width: 768px) {
}

@media screen and (min-width: 1440px) {
  .dashboard {
    padding-top: 150px;
    position: relative;
    overflow: hidden;
  }

  .logo {
    width: 140px;
    margin-bottom: 41px;
  }

  .title {
    font-size: 48px;
    max-width: 780px;
    margin: 0 auto;
    margin-bottom: 35px;
  }

  .text {
    font-size: 48px;
    max-width: 650px;
    margin: 0 auto;
    margin-bottom: 68px;
  }

  .desc {
    font-size: 24px;
  }

  .scissors {
    width: 600px;
    position: absolute;
    top: 50%;
    left: 50%;
    z-index: -1;
    transform: translateY(-50%) translateX(300px);
  }
}

/* footer */

.footer {
  padding: 14px;
}

.footer-desc {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 12px;
  margin-bottom: 24px;

  p {
    font-family: var(--second-family);
    font-weight: 400;
    font-size: 10px;
    line-height: 100%;
    text-align: center;
    color: #fff;
  }
}

.footer-list {
  display: flex;
  align-items: center;
  flex-direction: column;
  margin-bottom: 13px;
  gap: 8px;

  a {
    font-family: var(--font-family);
    font-weight: 500;
    font-size: 18px;
    line-height: 100%;
    text-align: center;
    color: #f2bf69;
    transition: text-shadow 0.3s ease;
  }

  a:hover {
    text-shadow: 5px 5px 10px #fff;
  }
}

.footer-text {
  font-family: var(--second-family);
  font-weight: 400;
  font-size: 10px;
  line-height: 100%;
  text-align: center;
  color: #fff;
}

@media screen and (min-width: 1440px) {
  .footer {
    padding: 26px 0;
  }

  .content {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
  }

  .footer-desc {
    align-items: flex-start;
    gap: 20px;
    margin: 0;
    width: 240px;

    p {
      font-size: 14px;
      text-align: start;
    }

    span {
      display: block;
    }
  }

  .footer-list {
    align-items: flex-end;
    gap: 12px;
    margin-bottom: 36px;

    a {
      font-size: 20px;
    }
  }

  .footer-text {
    font-size: 14px;
    text-align: end;
  }
}

/* animation  */

.coins-layer {
  position: fixed;
  inset: 0;
  pointer-events: none;
  overflow: hidden;
  z-index: 2; /* поверх контента */
}

/* контейнер монеты — отвечает ТОЛЬКО за падение */
.coin {
  position: absolute;
  top: -120px;
  left: 0;
  width: var(--size, 44px);
  height: var(--size, 44px);

  animation: coin-fall var(--fall, 12s) linear forwards;
}

/* внутренняя часть — отвечает ТОЛЬКО за вращение */
.coin__img {
  width: 100%;
  height: 100%;
  background: url("../img/ribbon.png") no-repeat center / contain;

  animation: coin-rot var(--rot, 18s) linear infinite;
}

@keyframes coin-fall {
  to {
    transform: translateY(calc(100vh + 220px));
  }
}

@keyframes coin-rot {
  to {
    transform: rotate(180deg); /* лёгкое, не “вертолёт” */
  }
}

/* ********************* */

.hidden {
  display: none;
}

.menu-transform {
  transform: translateY(0);
}

.click {
  transform: rotate(0);
}

.popup-click {
  transform: translateY(130%) translateX(-50%);
}

.overflow {
  overflow: hidden;
}
